StandardQueryTreeBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.builders.StandardQueryTreeBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.builders
Class StandardQueryTreeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.core.builders.QueryTreeBuilder
          org.apache.lucene.queryParser.standard.builders.StandardQueryTreeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class StandardQueryTreeBuilder

extends QueryTreeBuilder
implements StandardQueryBuilder

This query tree builder only defines the necessary map to build a `Query` tree object. It should be used to generate a `Query` tree object from a query node tree processed by a `StandardQueryNodeProcessorPipeline`.

See Also:
  `QueryTreeBuilder`, `StandardQueryNodeProcessorPipeline`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.builders.QueryTreeBuilder
`QUERY_TREE_BUILDER_TAGID`

Constructor Summary
`StandardQueryTreeBuilder()`

Method Summary
`Query` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class org.apache.lucene.queryParser.core.builders.QueryTreeBuilder
`setBuilder, setBuilder, setBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardQueryTreeBuilder

    public StandardQueryTreeBuilder()

Method Detail

### build

    public Query build(QueryNode queryNode)
                throws QueryNodeException

  Description copied from class: `QueryTreeBuilder`
  Builds some kind of object from a query tree. Each node in the query tree is built using an specific builder associated to it.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Overrides:
    `build` in class `QueryTreeBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    the built object
  Throws:
    `QueryNodeException` - if some node builder throws a `QueryNodeException` or if there is a node which had no builder associated to it

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD